Activate or deactivate an alert

View as MarkdownOpen in Claude

Activate or Deactivate existing alerts created for this account. This does not delete alerts, but disables notifications until reactivated.

POST /iserver/account/{{ accountId }}/alert/activate

Request Details

Path Parameters

accountId: String. Required
Identifier for the unique account to retrieve information from.
Value Format: “DU1234567”

Request Body

alertId: int. Required
The alertId, or order_id, received from order creation or the list of alerts.

alertActive: int. Required
Set whether or not the alert should be active (1) or inactive (0)

1request_url = f"{baseUrl}/iserver/account/U1234567/alert/activate"
2--request POST \
3--header 'Content-Type:application/json' \
4--data '{
5 "alertId": 9876543210,
6 "alertActive": 1
7}'

Response Object

request_id: int.
Returns ‘null’

order_id: int.
Returns requested alertId or order_id

success: bool.
Returns true if successful

text: String.
Adds additional information for “success” status.

failure_list: String.
If “success” returns false, will list failed order Ids

{
"request_id": null,
"order_id": 9876543210,
"success": true,
"text": "Request was submitted",
"failure_list": null
}